Subject: Re: (S,G) join message direction

From: "Jyotheeswara Rao Kurma" <[email-masked]>
Date: Wed, 11 Apr 2001 14:24:23 +0500

----- Original Message -----
From: Hitoshi Asaeda <[email-masked]>
Date: Wednesday, April 11, 2001 2:23 pm
Subject: Re: (S,G) join message direction

> > > Hi, I've been having this conversation with some other people 
> and it 
> > has
> > > been brought to my attention that i should bring it to the 
> mailing 
> > list.
> > > 
> > > Say there is already a spt tree established between S and R, 
> so no 
> > packets
> > > are getting recieved by R from the RP. (we're in phase 3). Now 
> say 
> > another
> > > node (R2), who is topolgocially close to R1, wishes to join 
> that spt
> > > directly (he does not wat to go through all the phases), his 
> DR sends 
> > a
> > > (S,G) join message. Now does that (S,G) join message travel 
> towards> > the RP?
> > > or does it travel towards S? The draft is not clear as to 
> where that 
> > (S,G)
> > > join travels too. (see page 10, 3rd paragraph).
> > 
> >   (S,G) joins are always towards S only. There is no point in 
> going to 
> > RP.
> 
 Hi Hitoshi Asaeda :

  Whether that group is in SSM or the data threshold at the DR of R2 
  is zero( Immediate switch to SPT ) what cisco routers current 
implemantation I guess, then it is same as sending (S,G) join .. And I 
suppose that this join will travel towards Source , not towards RP.

Thanks,
-------
Jyotheesh

> No, I don't think so.
> 
> I think original question is a little ambiguous, though.
> I thought "topologically close to R1" didn't mean R1 and R2 were 
> on a
> same LAN. If my assumption is correct, when the group range is 
> *not in
> a SSM range*, R2's DR which is not R1's DR would try to send (*,G)
> join toward the RP, even if R1 sends (S,G) join (i.e., IGMPv3's
> source-specific join). This is because other nodes on an R2's LAN may
> want to join the group sent by another sender. R1's (S,G) join effects
> "source address filtering" in this case. But the DR would send (*,G)
> join.
> 
> Of course, if the group range is in a SSM range, then each DR sends
> (S,G) join.
> --
> Hitoshi Asaeda
>

---

From: Hitoshi Asaeda <[email-masked]>
Date: Wed, 11 Apr 2001 18:54:00 +0900

> suppose that this join will travel towards Source , not towards RP.

Hmm..
So DR has to send each (S,G) join to every source if he receives
several IGMPv3 source-specific joins. This means DR has to send (*,G)
join when he has IGMPv2 capables nodes, which means non IGMPv3 capable 
nodes, as its downstream and he receives (*,G) join from them, even if
he already joins (*not switches*) to spt for several Ss?
--
Hitoshi Asaeda